Skip to main content
POST
cURL
This endpoint is in Preview and subject to change. Refer to the API support policy for more details.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

cluster_id
string
required

cluster_id is the id of the cluster to which the private endpoint connection will be added.

Body

application/json
endpoint_id
string
required

endpoint_id is the id of the private endpoint associated with a cluster's private endpoint service. The private endpoint is customer-created and its id is generated by the cloud provider at endpoint creation time.

Response

A successful response.

cloud_provider
enum<string>
required
  • GCP: The Google Cloud Platform cloud provider.
  • AWS: The Amazon Web Services cloud provider.
  • AZURE: The Azure cloud provider.
Available options:
GCP,
AWS,
AZURE
endpoint_id
string
required

endpoint_id is the id of the private endpoint associated with this connection. The private endpoint is customer-created and its id is generated by the cloud provider at endpoint creation time.

endpoint_service_id
string
required

endpoint_service_id is the id of the private endpoint service associated with this connection.

service_name
string
required

service_name is the name of the private endpoints service that this connection corresponds to.

status
enum<string>
required

PrivateEndpointConnectionStatus enumerates the possible statuses for the private endpoints connection.

Available options:
STATUS_PENDING,
STATUS_PENDING_ACCEPTANCE,
STATUS_AVAILABLE,
STATUS_DELETING,
STATUS_DELETED,
STATUS_REJECTED,
STATUS_FAILED,
STATUS_EXPIRED
external_owner_id
string

external_owner_id uniquely identifies the owner of the private endpoint connection cloud resource. This idenfier is the AWS account id owning the PrivateLink connection. This field is only valid on AWS clusters.

region_name
string

region_name is the cloud provider region name (e.g. us-east-1).